Subject: bug#63625: 29.0.90; package-install inserts package directory into load-path twice.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 May 2023 18:49:03 +0300

> Cc: Philip Kaludercic <[email-masked]>, [email-masked],
>  todd smith <[email-masked]>
> From: Robert Pluim <[email-masked]>
> Date: Mon, 22 May 2023 16:19:49 +0200
> 
>     Stefan> In any case, some autoloads file use a trailing / and others don't,
>     Stefan> depending on which version of Emacs has been used to generate it, so we
>     Stefan> need the patch below, I think (which also reverts to adding just `pkg-dir`
>     Stefan> since that's what we used to do in Emacs-28 and this is old
>     Stefan> compatibility code anyway).
> 
> Ah, so thatʼs where the duplication was coming from. Eli, do you want
> that on the release branch?

The issue at hand must be fixed on the emacs-29 branch, but I'm not
sure I understand what you mean by "that" here.